package org.javacodegeeks;

import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;

import java.time.LocalDateTime;

public class ExampleJob implements Job {

    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        System.out.println("Job executed at: " + LocalDateTime.now().toString());
        JobDataMap dataMap = jobExecutionContext.getJobDetail().getJobDataMap();
        //fetch parameters from JobDataMap
        String first_param = dataMap.getString("PARAM_1_NAME");
        String second_param = dataMap.getString("PARAM_2_NAME");
        System.out.println("First parameter value : " + first_param);
        System.out.println("Second parameter value : " + second_param);
    }
}
